<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="SUB_P1102_YTD_TOTALS" language="groovy" pageWidth="181" pageHeight="100" whenNoDataType="BlankPage" columnWidth="181" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Empty" isIgnorePagination="true" uuid="652b3c1e-fb91-4904-8c43-c21868e28d7b">
	<property name="ireport.zoom" value="1.7715610000000017"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="COMPANY_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["23014"]]></defaultValueExpression>
	</parameter>
	<parameter name="EMPLOYEE_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["100084"]]></defaultValueExpression>
	</parameter>
	<parameter name="RUNTYPE_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["1"]]></defaultValueExpression>
	</parameter>
	<parameter name="PAYROLLDETAIL_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["2"]]></defaultValueExpression>
	</parameter>
	<parameter name="PAYROLL_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["5"]]></defaultValueExpression>
	</parameter>
	<parameter name="TAX_YEAR_END" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["2012-02-28"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT "P_PAYLOG_YTD_OLD"."DESCRIPTION",
"P_PAYLOG_YTD_OLD"."VALUE",
"P_PAYLOG_YTD_OLD"."COMPANY_ID",
"P_PAYLOG_YTD_OLD"."EMPLOYEE_ID",
"P_PAYLOG_YTD_OLD"."PAYROLL_ID",
"P_PAYLOG_YTD_OLD"."PAYROLLDETAIL_ID",
"P_PAYLOG_YTD_OLD"."RUNTYPE_ID"
FROM   "DBA"."P_PAYLOG_YTD_OLD" "P_PAYLOG_YTD_OLD"
WHERE  "P_PAYLOG_YTD_OLD"."COMPANY_ID"=$P{COMPANY_ID}
AND "P_PAYLOG_YTD_OLD"."EMPLOYEE_ID"=$P{EMPLOYEE_ID}
AND "P_PAYLOG_YTD_OLD"."PAYROLL_ID"=$P{PAYROLL_ID}
AND "P_PAYLOG_YTD_OLD"."PAYROLLDETAIL_ID"=$P{PAYROLLDETAIL_ID}
AND "P_PAYLOG_YTD_OLD"."RUNTYPE_ID"=$P{RUNTYPE_ID}
AND "P_PAYLOG_YTD_OLD"."Tax_Year_End" = $P{TAX_YEAR_END}
ORDER BY "P_PAYLOG_YTD_OLD"."DESCRIPTION"]]>
	</queryString>
	<field name="DESCRIPTION" class="java.lang.String"/>
	<field name="VALUE" class="java.math.BigDecimal"/>
	<field name="COMPANY_ID" class="java.math.BigDecimal"/>
	<field name="EMPLOYEE_ID" class="java.math.BigDecimal"/>
	<field name="PAYROLL_ID" class="java.math.BigDecimal"/>
	<field name="PAYROLLDETAIL_ID" class="java.math.BigDecimal"/>
	<field name="RUNTYPE_ID" class="java.math.BigDecimal"/>
	<variable name="Total_YTD_Totals" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{VALUE}]]></variableExpression>
	</variable>
	<group name="GrpVar">
		<groupExpression><![CDATA[$F{DESCRIPTION}]]></groupExpression>
	</group>
	<title>
		<band height="16">
			<textField>
				<reportElement x="0" y="0" width="100" height="16" uuid="02c4db1e-4204-43b5-985d-cf6955eafaa5"/>
				<textElement>
					<font size="8" isBold="true"/>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA["YTD TOTALS:"]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="13">
			<textField evaluationTime="Group" evaluationGroup="GrpVar">
				<reportElement x="0" y="0" width="100" height="13" uuid="30f23b45-5576-4fba-877d-07c6e32d965f"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DESCRIPTION}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Group" evaluationGroup="GrpVar">
				<reportElement x="101" y="0" width="80" height="13" uuid="d2e50dfb-98d5-47a3-86d0-c3b621bf9685"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="1" rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{VALUE}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
